<?php
/**
 *
 * @category        pagemodule
 * @package         google reviews
 * @author          Ruud Eisinga - dev4me
 * @link			https://dev4me.com/modules-snippets/
 * @license         https://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.10.x
 * @platform        WBCE 1.3.x
 * @version         1.0
 * @lastmodified    Februari 6, 2024
 *
 */
 
// Must include code to stop this file being access directly
if(defined('WB_PATH') == false) { die("Cannot access this file directly"); }

$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_gr_settings`");
$database->query("CREATE TABLE `".TABLE_PREFIX."mod_gr_settings` (
	`id` INT NOT NULL AUTO_INCREMENT,
	`section_id` INT NOT NULL DEFAULT '0',
	`google_key` VARCHAR(64) NOT NULL DEFAULT '',
	`google_place_id` VARCHAR(256) NOT NULL DEFAULT '',
	`title` VARCHAR(256) NOT NULL DEFAULT '',
	`rating` VARCHAR(4) NOT NULL DEFAULT '',
	`name` VARCHAR(256) NOT NULL DEFAULT '',
	`last` INT NOT NULL DEFAULT '0',
	`cache_hours` INT NOT NULL DEFAULT '12',
	`show_max_reviews` INT NOT NULL DEFAULT '10',
	`show_only_with_text` INT NOT NULL DEFAULT '0',
	`show_min_stars` INT NOT NULL DEFAULT '0',
	`show_text` INT NOT NULL DEFAULT '1',
	`show_author` INT NOT NULL DEFAULT '1',
	`show_age` INT NOT NULL DEFAULT '1',
	`show_avatar` INT NOT NULL DEFAULT '1',
	`show_rating_serp` INT NOT NULL DEFAULT '1',
	PRIMARY KEY (`id`)
)
COLLATE='utf8mb4_unicode_ci'
ENGINE=InnoDB
;");

$database->query("DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_gr_data`");
$database->query("CREATE TABLE `".TABLE_PREFIX."mod_gr_data` (
	`id` INT NOT NULL AUTO_INCREMENT,
	`section_id` INT NOT NULL DEFAULT '0',
	`timestamp` INT NOT NULL DEFAULT '0',
	`visible` INT NOT NULL DEFAULT '1',
	`time` INT NOT NULL DEFAULT 0,
	`name` VARCHAR(256) NOT NULL DEFAULT '',
	`language` VARCHAR(6) NOT NULL DEFAULT '',
	`text` TEXT NOT NULL,
	`author` TEXT NOT NULL,
	`author_url` VARCHAR(512) NOT NULL DEFAULT '',
	`rating` INT NOT NULL DEFAULT 0,
	`avatar` LONGTEXT NOT NULL,
	`avatar_url` VARCHAR(512) NOT NULL DEFAULT '',
	PRIMARY KEY (`id`)
)
COLLATE='utf8mb4_unicode_ci'
ENGINE=InnoDB
;");

