<?php
/**
 *
 * @category        pagemodule
 * @package         google reviews
 * @author          Ruud Eisinga - dev4me
 * @link			https://dev4me.com/modules-snippets/
 * @license         https://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.10.x
 * @platform        WBCE 1.3.x
 * @version         1.0
 * @lastmodified    Februari 6, 2024
 *
 */

if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }
if(!file_exists( __DIR__ .'/languages/'.LANGUAGE.'.php')) {
	require_once( __DIR__ .'/languages/EN.php');
} else {
	require_once( __DIR__ .'/languages/'.LANGUAGE.'.php');
}
require_once( __DIR__ .'/functions.php');

$table_mod = TABLE_PREFIX.'mod_gr_settings';
$table_data = TABLE_PREFIX.'mod_gr_data';

$sql_result = $database->query("SELECT * FROM $table_mod WHERE section_id = '$section_id'");
$row = $sql_result->fetchRow();

//$api = "https://support.google.com/googleapi/answer/6158862";
$api = "https://developers.google.com/maps/documentation/places/web-service/get-api-key";
$places = "https://developers.google.com/maps/documentation/javascript/examples/places-placeid-finder";
?>
<div class="review-outer">
<h2><?=$GR['title']?></h2>
<p><small><?=$GR['last_updated']?>: <?php echo date(DATE_FORMAT.' '.TIME_FORMAT,$row['last']+TIMEZONE) ?></small></p>
<form name="select_section<?php echo $section_id; ?>" action="<?php echo WB_URL ?>/modules/google_reviews/save.php" method="post">
<input type="hidden" name="page_id" value="<?php echo $page_id ?>" />
<input type="hidden" name="section_id" value="<?php echo $section_id ?>" />

<table class="review-table" cellpadding="0" cellspacing="5" border="0" width="100%">
	<tr><td class="ttl"><?=$GR['apikey']?><br><small><a href="<?=$api?>" target="_blank"><?=$GR['getapikey']?></a></small></td><td><input type="text" name="google_key" value="<?php echo $row['google_key'] ?>" /></td></tr>
	<tr><td class="ttl"><?=$GR['placesid']?><br><small><a href="<?=$places?>" target="_blank"><?=$GR['getplacesid']?></a></td><td><input type="text" name="google_place_id" value="<?php echo $row['google_place_id'] ?>" /></td></tr>
	<tr><td class="ttl"><?=$GR['pagetitle']?></td><td><input type="text" name="title" value="<?php echo $row['title'] ?>" /></td></tr>
	<tr><td class="ttl"><?=$GR['cache']?></td><td><?= __select ( 'cache_hours',$row['cache_hours'],array('0' => $GR['nocache'], '1' => '1 '.$GR['hour'], '6' =>'6 '.$GR['hours'],'12'=>'12 '.$GR['hours'])) ?></td></tr>
	<tr><td class="ttl"><?=$GR['max_reviews']?></td><td><?= __select ( 'show_max_reviews',$row['show_max_reviews'],array('5' =>'5','10'=>'10','25'=>'25','50'=>'50')) ?></td></tr>
	<tr><td class="ttl"><?=$GR['with_text']?></td><td><?= __select ( 'show_only_with_text',$row['show_only_with_text'],array('0' => $GR['no'],'1'=> $GR['yes'])) ?></td></tr>
	<tr><td class="ttl"><?=$GR['min_stars']?></td><td><?= __select ( 'show_min_stars',$row['show_min_stars'],array(1=>1,2=>2,3=>3,4=>4,5=>5)) ?></td></tr>
</table>
<br>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr>
		<td align="left"><input type="submit" value="<?php echo $GR['save'] ?>" style="width: 200px; margin-top: 5px;" /></td>
		<td align="right"><input type="button" value="<?php echo $GR['cancel'] ?>" onclick="javascript: window.location='index.php';" style="width: 200px; margin-top: 5px;" /></td>
	</tr>
</table>
</form>
</div>
<hr>
<div class="tableview">
<table class="review-table list" cellpadding="0" cellspacing="5" border="0" width="100%">
<?php 

	$query = "SELECT * FROM `$table_data` WHERE `section_id`='$section_id'  ORDER BY `time` DESC ";
	if($res = $database->query($query)) {
		while($rec = $res->fetchRow()) {
			$stars = '';
			for ($i=1; $i <= $rec['rating']; ++$i) $stars .= '<span class="on">★</span>';
			for ($i=1; $i <= (5 - floor($rec['rating'])); ++$i) $stars .= '<span class="off">★</span>';
			$v = $rec['visible'] ? '': ' class="invisible"';
			echo '<tr'.$v.' id="tr-'.$rec['id'].'">';
			echo '<td class="nw">'.date(DATE_FORMAT,$rec['time']+TIMEZONE);
			echo '<td class="nw stars">'.$stars;
			echo '<td class="nw"><img class="review-image" src="'.$rec['avatar'].'" alt="" />';
			echo '<td class="nw"><a href="'.$rec['author_url'].'" target="_blank">'.$rec['author'].'</a>';
			echo '<td>'.nl2br($rec['text']);
			echo '<td><button title="hide" class="delid" data-current="'.$rec['visible'].'" data-key="'.md5(session_id()).'" data-id="'.$rec['id'].'">X</button>';
		}
	}		
?>
</table>
</div>
<script>
document.querySelectorAll('.delid').forEach(element => element.addEventListener('click', event => { delRow(element);}));
const delRow = function(element) {
	let key = element.getAttribute("data-key");
	let id = element.getAttribute("data-id");
	fetch( "<?= WB_URL ?>/modules/google_reviews/ajax.php", { method: "POST",body: JSON.stringify({key:key,id:id,}), headers: { 'Content-type': 'application/json; charset=UTF-8',} })
	.then((data) => { document.getElementById("tr-"+id).classList.toggle("invisible");})
}

</script>

