<?php
/**
 *
 * @category        pagemodule
 * @package         google reviews
 * @author          Ruud Eisinga - dev4me
 * @link			https://dev4me.com/modules-snippets/
 * @license         https://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.10.x
 * @platform        WBCE 1.3.x
 * @version         1.0
 * @lastmodified    Februari 6, 2024
 *
 */


require_once('../../config.php');
$update_when_modified = true;
require(WB_PATH.'/modules/admin.php');

if(isset($_POST['google_key'])) {

	$data['section_id'] = $section_id;
	$data['google_key'] = $database->escapeString($_POST['google_key']);
	$data['google_place_id'] = $database->escapeString($_POST['google_place_id']);
	$data['cache_hours'] = $database->escapeString($_POST['cache_hours']);
	$data['show_max_reviews'] = $database->escapeString($_POST['show_max_reviews']);
	$data['show_only_with_text'] = $database->escapeString($_POST['show_only_with_text']);
	$data['show_min_stars'] = $database->escapeString($_POST['show_min_stars']);
	$data['title'] = $database->escapeString($_POST['title']);
	
	
	 __updateRecord ( TABLE_PREFIX.'mod_gr_settings', 'section_id', $data);
	
}

if($database->is_error()) {
	$admin->print_error($database->get_error(), $js_back);
} else {
	$admin->print_success($MESSAGE['PAGES_SAVED'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}
$admin->print_footer();


function __updateRecord ( $table, $id_field, $data ) {
	global $database;
	$set = '';
	$val = '';
	$exist = 0;
	if (isset($data[$id_field]) && $data[$id_field]) {
		$exist = $database->get_one("SELECT count(`$id_field`) FROM `$table` WHERE `$id_field`='".$data[$id_field]."' LIMIT 1");
	}
	if (!$exist) {
		foreach ( $data as $key => $value ) {
			$value = $database->escapeString($value);
			$set .= $set ? ',`'.$key.'`':'`'.$key.'`';
			$val .= $val ? ",'$value'" : "'$value'";
		}
		$query = "INSERT INTO ".$table." ($set) VALUES ($val)";
		//echo '<br>'.$query.'<br>';
		$database->query($query);
		return $database->get_one("SELECT LAST_INSERT_ID()");
	} else {
		$id = $data[$id_field];
		foreach ( $data as $key => $value ) {
			if ($key != $id_field) {
				$value = $database->escapeString($value);
				$set .= $set ? ',':'';
				$set .= "`$key`='$value'";
			}
		}
		$query = "UPDATE ".$table." SET $set where `$id_field` = '$id'";
		//echo '<br>'.$query.'<br>';
		$database->query($query);
		return $id;
	}
}
	
	